Package: org.gradle.plugins.signing.type

## [Groovy] Class AbstractSignatureTypeProvider

- org.gradle.plugins.signing.type.AbstractSignatureTypeProvider

- All Implemented Interfaces and Traits:
    SignatureTypeProvider

      abstract class AbstractSignatureTypeProvider
      extends Object

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `SignatureType` | `getDefaultType()`
    `SignatureType` | `getTypeForExtension(String extension)`
    `boolean` | `hasTypeForExtension(String extension)`
    `protected void` | `register(SignatureType type)`
    `void` | `setDefaultType(String defaultTypeExtension)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### SignatureType getDefaultType()

    - #### SignatureType getTypeForExtension(String extension)

    - #### boolean hasTypeForExtension(String extension)

    - #### protected void register(SignatureType type)

    - #### void setDefaultType(String defaultTypeExtension)